Package org.opencv.ximgproc

## Class SelectiveSearchSegmentationStrategyMultiple

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SelectiveSearchSegmentationStrategy
    - - org.opencv.ximgproc.SelectiveSearchSegmentationStrategyMultiple

-     public class SelectiveSearchSegmentationStrategyMultiple
      extends SelectiveSearchSegmentationStrategy

  Regroup multiple strategies for the selective search segmentation algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SelectiveSearchSegmentationStrategyMultiple​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SelectiveSearchSegmentationStrategyMultiple` | `__fromPtr__​(long addr)` |
    `void` | `addStrategy​(SelectiveSearchSegmentationStrategy g, float weight)` | Add a new sub-strategy
    `void` | `clearStrategies()` | Remove all sub-strategies
    `protected void` | `finalize()` |

    - ### Methods inherited from class org.opencv.ximgproc.SelectiveSearchSegmentationStrategy

      `get, merge, setImage, setImage`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectiveSearchSegmentationStrategyMultiple

          protected SelectiveSearchSegmentationStrategyMultiple​(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SelectiveSearchSegmentationStrategyMultiple __fromPtr__​(long addr)

    - #### addStrategy

          public void addStrategy​(SelectiveSearchSegmentationStrategy g,
                                  float weight)

      Add a new sub-strategy
      Parameters:
        `g` - The strategy
        `weight` - The weight of the strategy

    - #### clearStrategies

          public void clearStrategies()

      Remove all sub-strategies

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `SelectiveSearchSegmentationStrategy`
      Throws:
        `java.lang.Throwable`